ath9k module spams logs with "ForceXPAon: 0"

Bug #325469 reported by John Steele Scott on 2009-02-04
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Intrepid
Medium
Stefan Bader

Bug Description

linux (2.6.28-6.17) jaunty

The kernel spams my logs with hundreds of messages like:

Feb 5 07:04:30 yoshi kernel: [ 257.465945] ForceXPAon: 0
Feb 5 07:04:30 yoshi kernel: [ 257.645954] ForceXPAon: 0
Feb 5 07:04:31 yoshi kernel: [ 257.885991] ForceXPAon: 0
Feb 5 07:04:31 yoshi kernel: [ 257.950017] ForceXPAon: 0
Feb 5 07:04:31 yoshi kernel: [ 258.013982] ForceXPAon: 0
Feb 5 07:04:31 yoshi kernel: [ 258.077992] ForceXPAon: 0

My device is
06:00.0 Network controller: Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) (rev 01)
as found in the Dell XPS m1340.

It looks like there was a patch to 2.6.27 to get rid of these: <http://lkml.org/lkml/2009/1/23/40>, perhaps it never went into 2.6.28?

description: updated

Thanks John,

Indeed it doesn't look like this patch has been applied to Jaunty. I'm adding a note for the kernel team that this is going into Intrepid via the 2.6.27.13 stable patch set, see bug 321474.

http://kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.27.13

commit e010592315ae5e33758e2e54afdd354ea77f4e62
Author: Luis R. Rodriguez <email address hidden>
Date: Tue Jan 20 11:42:43 2009 -0800

    ath9k: quiet harmless ForceXPAon messages

    This is a port of one line of upstream patch
    f1dc56003b23d2d5bb5a756de6b1633a76c9e697

    The "ForceXPAon" messages on ath9k were not meant to be printed
    regularly, lets quiet them as this can happen quite frequently
    (scans) and will fill the logs with tons of these messages.

    Signed-off-by: Sujith <email address hidden>
    Signed-off-by: Luis R. Rodriguez <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

Changed in linux:
importance: Undecided → Medium
status: New → Triaged
Andy Whitcroft (apw) on 2009-02-18
Changed in linux:
assignee: nobody → apw
status: Triaged → In Progress
Andy Whitcroft (apw) wrote :

@John -- I brought that patch forward from Intrepid to Jaunty and built some test kernels. If you could test those to confirm that this message is correctly suppressed. If you could test the kernels at the URL below and report back here that would be helpful:

    http://people.ubuntu.com/~apw/lp325469-jaunty/

Andy Whitcroft (apw) on 2009-02-18
Changed in linux:
status: In Progress → Incomplete
John Steele Scott (toojays) wrote :

Yep, that fixes it.

Stefan Bader (smb) wrote :

This has been fixed by upstream stable update to 2.6.27.13 (see LP bug #321474)

Changed in linux:
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → Fix Committed
Stefan Bader (smb) wrote :

Has been cherry picked from Intrepid 2.6.27.13 update (see LP bug #321474).

Changed in linux:
status: Incomplete → Fix Committed

Marking this Fix Released for Jaunty as this patch should be available in the latest 2.6.28-11.42 Jaunty Kernel. This is still Fix Committed for Intrepid since the Intrepid kernel with this patch is still sitting in intrepid-proposed.

ogasawara@yoji:~/ubuntu-jaunty$ git log -p 03cffb81e61f52bc4b08c21e687c16a9d41bef92
commit 03cffb81e61f52bc4b08c21e687c16a9d41bef92
Author: Luis R. Rodriguez <email address hidden>
Date: Tue Jan 20 11:42:43 2009 -0800

    ath9k: quiet harmless ForceXPAon messages

    Bug: #321474

    This is a port of one line of upstream patch
    f1dc56003b23d2d5bb5a756de6b1633a76c9e697

    The "ForceXPAon" messages on ath9k were not meant to be printed
    regularly, lets quiet them as this can happen quite frequently
    (scans) and will fill the logs with tons of these messages.

    Signed-off-by: Sujith <email address hidden>
    Signed-off-by: Luis R. Rodriguez <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>
    Signed-off-by: Stefan Bader <email address hidden>
    Acked-by: Tim Gardner <email address hidden>
    (cherry picked from Intrepid commit 109e82e1745e3e0391d20cb13c588c6fbaa23a1e

    Signed-off-by: Tim Gardner <email address hidden>

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (27.1 KiB)

This bug was fixed in the package linux - 2.6.27-14.33

---------------
linux (2.6.27-14.33) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Fix FTBS due to a mysteriously missing ABI directory.

linux (2.6.27-14.32) intrepid-proposed; urgency=low

  [Stefan Bader]

  * Rebuild of 2.6.27-14.30 with 2.6.27-11.31 security patches applied

linux (2.6.27-14.30) intrepid-proposed; urgency=low

  [ Alexey Starikovskiy ]

  * SAUCE: ACPI: EC: Limit workaround for ASUS notebooks even more
    - LP: #288385

  [ Huaxu Wan ]

  * SAUCE: report rfkill changes event if interface is down
    - LP: #193970

  [ Scott James Remnant ]

  * SAUCE: floppy: Provide a PnP device table in the module.
    - LP: #255651

  [ Steve Beattie ]

  * fix apparmor memory leak on deleted file ops
    - LP: #329489

  [ Stefan Bader ]

  * Revert "ACPI: Fix compiler warnings introduced by 32 to 64 bit acpi
    conversions"
    - LP: #337019
  * Revert "ACPI: Change acpi_evaluate_integer to support 64-bit on 32-bit
    kernels"
    - LP: #337019

  [ Upstream Kernel Changes ]

  * KVM: MMU: Add locking around kvm_mmu_slot_remove_write_access()
    - LP: #335097, #333409
  * ricoh_mmc: Handle newer models of Ricoh controllers
    - LP: #311932

linux (2.6.27-13.29) intrepid-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: Bluetooth USB: fix kernel panic during suspend while streaming
    audio to bluetooth headset
    - LP: #331106, #322082

  [ Stefan Bader ]

  * Revert "SAUCE: Work around ACPI corruption upon suspend on some Dell
    machines." (replaced by stable update)
    - LP: #330200
  * Revert "SAUCE: Add back in lost commit for Apple BT Wireless Keyboard"
    (replaced by stable update)
    - LP: #330902

  [ Upstream Kernel Changes ]

  * Revert "vt: fix background color on line feed"
    - LP: #330200
  * ti_usb_3410_5052: support alternate firmware
    - LP: #231276
  * fuse: destroy bdi on umount
    - LP: #324921
  * fuse: fix missing fput on error
    - LP: #324921
  * fuse: fix NULL deref in fuse_file_alloc()
    - LP: #324921
  * inotify: clean up inotify_read and fix locking problems
    - LP: #324921
  * mac80211: decrement ref count to netdev after launching mesh discovery
    - LP: #324921
  * sysfs: fix problems with binary files
    - LP: #324921
  * x86, mm: fix pte_free()
    - LP: #324921
  * alpha: nautilus - fix compile failure with gcc-4.3
    - LP: #324921
  * it821x: Add ultra_mask quirk for Vortex86SX
    - LP: #324921
  * libata: pata_via: support VX855, future chips whose IDE controller use
    0x0571
    - LP: #324921
  * rtl8187: Add termination packet to prevent stall
    - LP: #324921
  * serial_8250: support for Sealevel Systems Model 7803 COMM+8
    - LP: #324921
  * SUNRPC: Fix a memory leak in rpcb_getport_async
    - LP: #324921
  * SUNRPC: Fix autobind on cloned rpc clients
    - LP: #324921
  * USB: fix char-device disconnect handling
    - LP: #324921
  * USB: storage: add unusual devs entry
    - LP: #324921
  * USB: usbmon: Implement compat_ioctl
    - LP: #324921
  * ALSA: hda - add another MacBook Pro 4, 1 subsystem ID
    - LP: #324921
  * ALSA: hda - Add quirk for HP DV6700 laptop
    - LP: #324921
  * ALSA: ...

Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers